local T, C, L, _ = unpack(select(2, ...))
if C.skins.blizzard_frames ~= true then return end

----------------------------------------------------------------------------------------
--	Arena skin
----------------------------------------------------------------------------------------
local function LoadSkin()
	LFGParentFrame:StripTextures(true)
	LFGParentFrame:CreateBackdrop("Transparent")
	LFGParentFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	LFGParentFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	LFGFrame:StripTextures()
	LFGFrame:CreateBackdrop("Transparent")
	LFGFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	LFGFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	LFMFrame:StripTextures()
	LFMFrame:CreateBackdrop("Transparent")
	LFMFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	LFMFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	LFMFrameInset:StripTextures()
	LFMFrameInset:ClearAllPoints()
	LFMFrameInset:SetPoint("TOPLEFT", LFMFrameColumnHeader1, "BOTTOMLEFT", 0, -4)
	LFMFrameInset:SetPoint("BOTTOMRIGHT", LFMFrameColumnHeader4, "BOTTOMRIGHT", 0, -266)
	LFMFrameInset:SetTemplate("Overlay")

	for i = 1, 3 do
		local Type = _G["LFGFrameTypeDropDown"..i]
		local Activity = _G["LFGFrameActivityDropDown"..i]
		local Shine =  _G["LFGSearchIcon"..i.."Shine"]
		T.SkinDropDownBox(Type, 245)
		T.SkinDropDownBox(Activity, 245)
		Shine:SetTemplate("Transparent")
		Shine:SetBackdropColor(0, 0, 0, 0)
	end

	T.SkinEditBox(LFGComment, 300)

	LFGFrameClearAllButton:SkinButton()
	LFGFramePostButton:SkinButton()

	T.SkinTab(LFGParentFrameTab1)
	T.SkinTab(LFGParentFrameTab2)

	T.SkinDropDownBox(LFMFrameTypeDropDown, 130)
	T.SkinDropDownBox(LFMFrameActivityDropDown, 215)
	LFMFrameActivityDropDown:ClearAllPoints()
	LFMFrameActivityDropDown:SetPoint("LEFT", LFMFrameTypeDropDown, "RIGHT", -10, 0)

	LFMFrameSearchButton:SkinButton()
	LFMFrameSendMessageButton:SkinButton()
	LFMFrameGroupInviteButton:SkinButton()

	for i = 1, 4 do
		local frame = _G["LFMFrameColumnHeader"..i]
		frame:SkinButton()
	end

	local Buttons1 = {LFGParentFrame:GetChildren()}
	for k, f in pairs(Buttons1) do
		if k == 3 then
			f:StripTextures()
			f:SetTemplate("Overlay")
			f:SetSize(18, 18)
			if not text then text = "x" end
			if not f.text then
				f.text = f:FontString(nil, C.media.normal_font, 17)
				f.text:SetPoint("CENTER", 0, 1)
				f.text:SetText(text)
			end
			f:SetPoint("TOPRIGHT", -36, -16)	
			f:HookScript("OnEnter", T.SetModifiedBackdrop)
			f:HookScript("OnLeave", T.SetOriginalBackdrop)
		end
	end
end

table.insert(T.SkinFuncs["ShestakUI"], LoadSkin)